Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 952224 - [network] Network config 'use this connection only for resources on its network' does not stay checked
[network] Network config 'use this connection only for resources on its netwo...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
: 974935 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-15 07:57 EDT by Alex Murray
Modified: 2015-02-18 06:11 EST (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:11:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 703959 None None None Never

  None (edit)
Description Alex Murray 2013-04-15 07:57:14 EDT
Description of problem: When configuring a new VPN connectino (openvpn) to be exact via the network configuration in gnome-control-center, checking the 'Use this connection only for resources on its network' checkbox does not stay connected (and fails to then actually stop the connection being used as the default route) - HOWEVER using nm-connection-editor and then editing the connection that way (and then checking this checkbox) DOES enforce it correctly.
Comment 1 Tuomas Kuosmanen 2013-04-25 01:54:15 EDT
Just confirming this happens for me also.

I set up my vpn by importing the RH vpn config file which worked OK in F18 on another machine (this is F19 fresh install)

Thanks Alex for the workaround tip, worked here too! Looks like the nm-connection-editor is the same tool that was in Fedora18. Why do we have two UI's for the same thing?
Comment 2 James Thorne 2013-05-07 13:33:29 EDT
Also wanted to reply this is happening to me as well with an imported RH VPN config file on F19.

Alex Murray's workaround provides the fix.
Comment 3 Eric Donkersloot 2013-07-04 07:31:35 EDT
I can confirm this is happening to me as well.

ArchLinux X64 - 3.9.8-1-ARCH
Gnome 3.8.3
Comment 4 Florian Weimer 2013-07-05 15:53:29 EDT
*** Bug 974935 has been marked as a duplicate of this bug. ***
Comment 5 Karsten Stöckmann 2013-07-09 10:37:58 EDT
Confirmed on a fresh F19 installation, using OpenVPN.
Comment 6 Jirka Klimes 2013-07-10 05:41:27 EDT
(In reply to Alex Murray from comment #0)
> Description of problem: When configuring a new VPN connectino (openvpn) to
> be exact via the network configuration in gnome-control-center, checking the
> 'Use this connection only for resources on its network' checkbox does not
> stay connected (and fails to then actually stop the connection being used as
> the default route) - HOWEVER using nm-connection-editor and then editing the
> connection that way (and then checking this checkbox) DOES enforce it
> correctly.

Well, then it is a bug in gnome-control-center.
Reassigning.

(In reply to Tuomas Kuosmanen from comment #1)
> Just confirming this happens for me also.
> 
> I set up my vpn by importing the RH vpn config file which worked OK in F18
> on another machine (this is F19 fresh install)
> 
> Thanks Alex for the workaround tip, worked here too! Looks like the
> nm-connection-editor is the same tool that was in Fedora18. Why do we have
> two UI's for the same thing?

You should ask Gnome people why they reimplement all the stuff. The probably want to have control over it and have their look&feel.
Comment 7 Chris Bredesen 2013-07-10 06:49:35 EDT
Confirmed here as well on clean F-19 install, workaround works for me.

NetworkManager.x86_64 1:0.9.8.2-5.fc19
control-center.x86_64 1:3.8.3-2.fc19
Comment 8 Rafał Zieliński 2013-07-14 09:04:08 EDT
This option is not working for me, too. Also, when activated, my default routes are changing. Adding ignore-auto-routes=true in /etc/NetworkManager/system-connections/[connection-name] doesn't help, too.
Comment 9 Joachim Frieben 2013-08-18 16:30:13 EDT
As control-center-3.8.3-2.fc19, the option `Use this connection only for resources on its network' can be check marked but the button `Apply' is greyed out and thus disabled. Therefore, no new setting can be applied.
Comment 10 Chris Keller 2013-08-19 16:45:08 EDT
I'm running into this bug too using an updated FC19 installation. To work around this issue, I modified the [ipv4] section of the applicable configuration files in /etc/NetworkManager/system-connections:

...
[ipv4]
never-default=true
...
Comment 11 Joachim Frieben 2013-08-20 01:03:38 EDT
Button `Apply' still disabled for control-center-3.8.4.1-1.fc19.
Comment 12 Tim Flink 2013-08-21 01:57:21 EDT
(In reply to Christoph Frieben from comment #11)
> Button `Apply' still disabled for control-center-3.8.4.1-1.fc19.

The 'apply' button isn't disabled for me (recent F19 install, control-center-3.8.4.1-1.fc19), but the change to 'use this connection only for resources on its network' doesn't persist and I can't get that behavior without the workaround mentioned in c#10
Comment 14 Tuomas Kuosmanen 2014-09-04 03:24:09 EDT
This seems fixed indeed, works at least on this F21 testing machine.
Comment 15 Fedora End Of Life 2015-01-09 17:33:19 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-18 06:11:03 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.